<?php

/**
 * 
 * @property number x
 * @property number y
 *
 */
class Coordinate extends CComponent
{
  /**
   * @var number
   */
  private $x;
  /**
   * @var number
   */
  private $y;

  /**
   * @param number $x
   * @param number $y
   */
  public function __construct($x, $y)
  {
    $this->x = $x;
    $this->y = $y;
  }

  /**
   * return number 
   */
  public function getX()
  {
    return $this->x;
  }

  /**
   * return number 
   */
  public function getY()
  {
    return $this->y;
  }

  /**
   * @param number $x
   */
  public function setX($x)
  {
    $this->x = $x;
  }

  /**
   * @param number $y
   */
  public function setY($y)
  {
    $this->y = $y;
  }
  
  public function __toString()
  {
    return "X=$this->X,Y=$this->Y";
  }
}
